import unittest
import base64
import requests



url = 'http://192.168.199.107:18080'


def send_request(image_path, image_type):
    with open(image_path, 'rb') as f:
        img_str: str = base64.encodebytes(f.read()).decode('utf-8')
        r = requests.post(f'{url}/ocr_system/idcard', json={'image': img_str, 'image_type': image_type})
        print(r.json())
        return r.json()


class TestIdCardAddress(unittest.TestCase):
    def test_01(self):
        image_path = '../images/false/miss_address/01.jpg'
        r = send_request(image_path, '0')
        self.assertEqual(r['result']['address']['text'], '云南省曲靖市罗平县阿岗镇阿岗居委会阿岗村', 'address case error')

    def test_02(self):
        image_path = '../images/false/miss_address/02.png'
        r = send_request(image_path, '0')
        self.assertEqual(r['result']['address']['text'], '内蒙古包头市昆都仑区昆河镇刘二圪梁村393号', 'address case error')


if __name__ == '__main__':
    unittest.main()
