import unittest
import base64
import requests



url = 'http://192.168.199.107:18080'


def send_request(image_path, image_type):
    with open(image_path, 'rb') as f:
        img_str: str = base64.encodebytes(f.read()).decode('utf-8')
        r = requests.post(f'{url}/ocr_system/idcard', json={'image': img_str, 'image_type': image_type})
        print(r.json())
        return r.json()


class TestIdCardAddress(unittest.TestCase):
    def test_it_works(self):
        self.assertEqual(1, 1, 'it not works')

    def test_01(self):
        image_path = '../images/false/miss_name/01.jpg'
        r = send_request(image_path, '0')
        self.assertEqual(r['status'], '000', 'status case error')
        self.assertEqual(r['result']['orientation'], 0, 'orientation case error')
        self.assertEqual(r['result']['name']['text'], '董建', 'name case error')
        self.assertEqual(r['result']['id']['text'], '654121199802042775', 'id case error')
        self.assertEqual(r['result']['ethnicity']['text'], '回', 'ethnicity case error')
        self.assertEqual(r['result']['gender']['text'], '男', 'gender case error')
        self.assertEqual(r['result']['birthday']['text'], '1998年02月04日', 'birthday case error')
        self.assertEqual(r['result']['address']['text'], '新疆伊宁县愉群翁乡伊克翁村216号', 'address case error')


if __name__ == '__main__':
    unittest.main()
