import unittest
import base64
import requests



url = 'http://192.168.199.107:18080'


def send_request(image_path, image_type):
    with open(image_path, 'rb') as f:
        img_str: str = base64.encodebytes(f.read()).decode('utf-8')
        r = requests.post(f'{url}/ocr_system/idcard', json={'image': img_str, 'image_type': image_type})
        print(r.json())
        return r.json()


class TestIdCardAddress(unittest.TestCase):
    def test_it_works(self):
        self.assertEqual(1, 1, 'it not works')

    def test_01_270(self):
        image_path = '../images/false/miss_orient/01_270.jpg'
        r = send_request(image_path, '0')
        self.assertEqual(r['result']['orientation'], 3, 'orientation case error')

    def test_02_270(self):
        image_path = '../images/false/miss_orient/02_270.jpg'
        r = send_request(image_path, '0')
        self.assertEqual(r['result']['orientation'], 3, 'orientation case error')

    def test_04(self):
        image_path = '../images/false/miss_orient/04.jpg'
        r = send_request(image_path, '0')
        self.assertEqual(r['result']['orientation'], 0, 'orientation case error')

    def test_05(self):
        image_path = '../images/false/miss_orient/05.jpg'
        r = send_request(image_path, '0')
        self.assertEqual(r['result']['orientation'], 3, 'orientation case error')

    def test_06(self):
        image_path = '../images/false/miss_orient/06.png'
        r = send_request(image_path, '0')
        self.assertEqual(r['result']['orientation'], 3, 'orientation case error')

    def test_07(self):
        image_path = '../images/false/miss_orient/07.jpg'
        r = send_request(image_path, '1')
        self.assertEqual(r['result']['orientation'], 0, 'orientation case error')

    def test_08(self):
        image_path = '../images/false/miss_orient/07.jpg'
        r = send_request(image_path, '1')
        self.assertEqual(r['result']['orientation'], 2, 'orientation case error')


if __name__ == '__main__':
    unittest.main()
